javax.servlet

## Interface ServletConfig

- All Known Implementing Classes:
    GenericServlet, HttpServlet

      public interface ServletConfig

  A servlet configuration object used by a servlet container to pass information to a servlet during initialization.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getInitParameter(String name)` Gets the value of the initialization parameter with the given name.
    `Enumeration<String>` | `getInitParameterNames()` Returns the names of the servlet's initialization parameters as an `Enumeration` of `String` objects, or an empty `Enumeration` if the servlet has no initialization parameters.
    `ServletContext` | `getServletContext()` Returns a reference to the `ServletContext` in which the caller is executing.
    `String` | `getServletName()` Returns the name of this servlet instance.

- - ### Method Detail

    - #### getServletName

          String getServletName()

      Returns the name of this servlet instance. The name may be provided via server administration, assigned in the web application deployment descriptor, or for an unregistered (and thus unnamed) servlet instance it will be the servlet's class name.
      Returns:
        the name of the servlet instance

    - #### getServletContext

          ServletContext getServletContext()

      Returns a reference to the `ServletContext` in which the caller is executing.
      Returns:
        a `ServletContext` object, used by the caller to interact with its servlet container
      See Also:
        `ServletContext`

    - #### getInitParameter

          String getInitParameter(String name)

      Gets the value of the initialization parameter with the given name.
      Parameters:
        `name` - the name of the initialization parameter whose value to get
      Returns:
        a `String` containing the value of the initialization parameter, or `null` if the initialization parameter does not exist

    - #### getInitParameterNames

          Enumeration<String> getInitParameterNames()

      Returns the names of the servlet's initialization parameters as an `Enumeration` of `String` objects, or an empty `Enumeration` if the servlet has no initialization parameters.
      Returns:
        an `Enumeration` of `String` objects containing the names of the servlet's initialization parameters

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.